#ifndef GEDINDEX_H
#define GEDINDEX_H

#define MAX_TAG_NAME_LEN 20

typedef struct TAG_LOC{
    char name[MAX_TAG_NAME_LEN];
    long loc;
}tag_loc;

extern int debug_show_compare;
extern int debug_show_read;
extern int debug_show_write;
extern int debugMemFileSearch;

extern int max_index_width_found;

int index_gedcom_file(fsort_args *sparms,char *gedcom_file);
int cmpTagRecord(tag_loc **s1,tag_loc **s2);
int readTagRecord(FILE *fp_src,char FAR *buf,int maxlen);
int writeTagRecord(FILE *fp_out,char FAR *buf);
void show_index_file(char *name);
void ged_index_file_to_far_memory(char *name);
int binaryMemFileSearch(fsort_args *sparms,FILE *fp,
        char FAR *source,char FAR *destBuf);
#endif /* GEDINDEX_H */
