/*
 * Copyright (C) 1995, John H. Smith.  All rights reserved.
 *
 * This file is part of ged2htm.
 *  
 * These programs are free software; you can redistribute them and/or modify
 * them under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * The GNU General Public License can be found in the file LICENSE.
 * 
 * The author of ged2htm is John Smith.  He may be reached on internet
 * at the address johns@FileNet.com, or via mail at 28032 Singleleaf,
 * Mission Viejo, Ca. 92692.
 * 
 * ------------
 * 
 *This file contains subroutines used by the various ged2htm programs.
 *
 * Last modified:
 *    4/10/95
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#ifdef SUNOS4_1_2
#include <unistd.h>
#endif
#include "printer.h"
#define STDERROR stdout

extern getopt(int nargc,char **nargv,char *ostr);
extern char *optarg;
extern int optind;

void
usage(char *progname)
{

}

void
main(int argc, char **argv)
{
    int i;
    int c;
    while ((c = getopt(argc, argv, "eh")) != EOF)
        switch(c)
        {
                case 'e':
                    printerType = PRINTER_TYPE_EPSON_GENERIC;
                    break;
                case 'h':
                    printerType = PRINTER_TYPE_HP_GENERIC;
                    break;
                default:
                     usage(argv[0]);
                     exit(-1);
                     break;
        }
        printf("Printer before any control codes sent\n");
        printf("------------------------------------------\n");
        condensed_print(stdout);

        printf("This is condensed print\n");
        printf("------------------------------------------\n");

        standard_print(stdout);
        printf("This is standard print\n");
        printf("------------------------------------------\n");

        condensed_print(stdout);
        printf("This is condensed print\n");
        printf("------------------------------------------\n");
        standard_print(stdout);
        form_feed(stdout);

}
