#ifndef RAMFILE_H
#define RAMFILE_H

#define MAX_RAM_BUFFERS 15
/* These need to filled in by the parent file */
extern int nbrRamFarBuffers;
extern char FAR *ramFarBuffers[MAX_RAM_BUFFERS];
extern unsigned int ramFarBufferSizes[MAX_RAM_BUFFERS];

extern int disableRamFile;

FILE *ram_fopen(char *fileName, char *type);
int ram_fclose(FILE *fp);
size_t ram_fwrite(void *ptr, size_t size, size_t nitems, FILE *fp);
size_t ram_fread(void *ptr, size_t size, size_t nitems, FILE *fp);
int ram_fseek(FILE *fp, long offset, int ptrname);
long ram_ftell(FILE *fp);
void registerNameWithRamfile(char *fileName);
void dumpRamFile2Disk(char *dumpFileName);
void deleteOverFlowFile(void);
#ifndef NO_RAM_FILE_MACROS
#include "ramfilem.h"
#endif
#endif /* RAMFILE_H */
