#ifndef GEDRTNS_H
#define GEDRTNS_H
#ifndef FSORT_H
#include "fsort.h"
#endif /* FSORT_H */

#define READ_GED_LINE_SIZE 256

char * skip_over_tag(char *cptr);
int get_level_nbr(char **str, int modit);
char * remove_trailing_blanks(char *string);
char * find_next_of_this_type(FILE *fp_gedcom,char *type);
char *find_next_individual(FILE *fp_gedcom);
char * find_next_family(FILE *fp_gedcom);
int find_tag(FILE *fp_gedcom,char *tagName, int curLevel, char *buf);
int find_next_level_zero(FILE *fp_gedcom, char *readBuf);
extern long cur_ged_line_start;
extern unsigned int gedLineLength;
int readGedLine(FILE *fp_src,char *buf,int maxlen);
void cleanup_file_name(char *argv0,char *buffer,int strip_extension);
int find_individual(FILE *fp_gedcom, char *ind);
char * find_spouse_in_family(FILE *fp_gedcom,char *cur_id);
int find_family_number(FILE *fp_gedcom, char *family_id);
char * are_we_a_spouse(FILE *fp_gedcom);
int find_this_ndx(fsort_args *sparms,FILE *fp_index, FILE *fp_gedcom,
        char *family_id);
#endif /* GEDRTNS_H */
